洞悉需求最高的三大IT技能组
================================================================================
![](http://www.linuxcareer.com/images/linux_it_skills_watch.png)

据[IT技能清单][1]调查报告结果显示，雇主所需的Linux人才应具备的IT技能可分成相对独立的组群。本文将着重介绍在上一个季度（2013年7月-9月）需求度最高的3组IT技能，这些技能在包括美国在内的被选国家招聘广告中都有所提及，同时结果表明这三组技能可以和Linux相关的工作领域需求相匹配。

报告指出在上一季度具有嵌入式开发人员相关技能的人才是Linux专业雇主亟需的一类。排在第二位和第三位涉及的技能领域分别对应虚拟化技术和LAMP管理。本文将基于这三类工作清单涉及到的技能需求加以讨论，并对分析后的三组技能间的依赖结构关系加以洞悉。 

> 如果您尚未阅读[IT技能清单][1]，我们强烈建议您在阅读以下内容前先熟悉这篇文章。它详细阐明了本次研究中用到的方法，本文也是基于[IT技能清单][1]的材料才得以进一步分析。

### 2013年8月IT技能分类更新 ###

![](http://www.linuxcareer.com/images/percentage_of_linux_job_ads_linked_with_corresponding_skill_groups.png)

在IT技能清单这篇文章中，LinuxCareer.com分析了2013年5月到6月底的Linux工作清单，我们在这个基础上将2013年7月到9月底这个时间段的更新也加至分类分析中。10类相关的IT技能在Linux招聘广告中出现的比率列于如上[条形图][1]中。[IT分类][2]图表表明如何基于分类设计出此条形图。我们可以看到，IT技能需求前三组为：占据27%的Linux就业市场份额的嵌入式开发人员需求，占20%就业份额的虚拟化技术工程师和占12%Linux就业份额的LAMP管理员。文章接下来的三部分将围绕这三项IT技能需求组及三者的相互关系展开详细的讨论。例如，MySQL和PHP这两项技能有强关联性，通常雇主都会一起考虑。另外要指出的是，LinuxCareer.com的这项调查里掌握Linux的基础知识已默认存在于任一招聘需求中。

### 嵌入式开发人员及程序员 ###

需求最高的第一类技能组是针对嵌入式开发人员及程序员的。如下的[依赖图][2]详细阐明了技能间的关联关系，尤其表明了哪几项技能更可能同时出现在Linux招聘需求中。例如，嵌入式开发非常需要C/C++/C#相关技能，而这些语言要么在图表下部的深色矩形区域，要么在图表上部的对应圆形阴影中聚集。

总体来说，这组技能可以进一步细分成如下三类：

1. **Android, Embedded, C/C++/C# 和 Java**。如果您准备在嵌入式领域发展，这些是你需要掌握的核心技能，而C/C++/C#或Java掌握其一便可满足雇主需求，因为Java是基于部分C/C++/C#性能的扩展性语言。如果您阅读了8月的IT技能表，就会发现，Java以9513分居于编程语言的榜首，而C/C++/C#是5403分。如果您尚在犹豫是掌握C/C++/C#还是Java，从技能表得分看起来Java应该是更好的选择。但根据如下图表显示，C/C++/C#似乎在嵌入式领域的招聘需求中更受欢迎。总结可得尽管Java在IT技能表中有更高的得分，但在嵌入式开发职位上掌握C/C++/C#会比Java更有用。

2. **Python, Perl 和 Bash**。这些是对脚本编程语言技能的补充。对Perl和Python语言的需求经常会在招聘中同时出现，当然，也可以理解成这两种语言技能都是需要掌握的。 

3. **Git, Subversion 和 Jira**。这些软件知识会应用到源码管理、调试和项目管理中，同时了解这几个方面的知识对相关项目的编程大有裨益。目前，主流开源项目和大量合作项目都在用类似的软件管理他们的源码。	

![](http://www.linuxcareer.com/images/embedded_devices_development_skills_demand_dependency.png)

### 涉及数据仓储及管理的虚拟化技术工程师 ###

目前第二大需求技能组是如下[依赖图][2]所示与虚拟化技术工程师相关的技能。这一组可进一步细分成两部分，第一部分是Redhat, VMware, vSphere, ESX/ESXi, XenServer 和 Citrix，这些技能对寻求虚拟化技术工程师的工作很重要；第二部分是同Unix系统、数据仓储及管理相关的技能。同时这两部分是紧密联系的。显然VMware和ESX/ESXi及vSphere是相关的，因为ESX/ESXi是VMware虚拟机下提供的虚拟产品，而vSphere是VMware虚拟机的云端虚拟操作系统。Redhat和VMware、Citrix产品被分到同一部分同样有其原因。这里Solaris和AIX具有密切关系的原因可以理解为它们都是专有的Unix系统，掌握其一便可。

![](http://www.linuxcareer.com/images/virtualization_engineering_skills_demand_dependency.png)

### LAMP管理员 ###

最后，第三大技能组是如下[依赖图][2]中显示雇主需求的LAMP管理员应具备的技能。LAMP是Linux、Apache、MySQL和PHP的简称，所有这四项内容是作为一名LAMP管理员所要了解的核心。这是一组相对来说小规模却会引领你至在Linux路途中发展更远的技能。实际上，PHP和MySQL的密切关系表明这些技能中的任一项都不能脱离其它技能来单独掌握。

![](http://www.linuxcareer.com/images/lamp_administrator_skills_demand_dependency.png)

### 总结 ###

本文基于就业能力和Linux专业人员需求技能分组阐明了两点。第一点是对经常出现的IT技能通过集群分析划出了10类IT技能组；第二点是基于Linux工作需求与相应技能组的对应结果，嵌入式程序员在Linux招聘需求比率最高，第二及第三技能需求比率最高的领域分别对应虚拟化技术工程师及LAMP管理员领域。这三大技能组即为上一季度分析出的Linux技能需求的核心。

### 参考 ###

\[1] Percentage of Linux job ads linked with corresponding skill groups created by [GNU R][3]. Relevant package: graphics.

\[2] Dependency charts created by [GNU R][3]. Relevant package: corrgram.

--------------------------------------------------------------------------------

via: http://www.linuxcareer.com/insights-into-top-3-it-skills-groups-in-highest-demand

译者：[icybreaker](https://github.com/icybreaker) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.linuxcareer.com/it-skill-sets
[2]:http://www.linuxcareer.com/images/Linux_jobs_classification_jul_oct_2013.png
[3]:http://www.r-project.org/
