What is a good terminal emulator on Linux?
================================================================================
A good terminal emulator is a sufficient reason to choose Linux over Windows or Mac. Any power user of Linux would agree on that. By accessing the shell, a user can easily perform tasks that would be impossible, or too repetitive to perform from a graphical environment. But the choice of your terminal emulator is important since it can be the single application that you use the most. I will try to give you a well furnished list of good terminal emulators on Linux, from the classics, to the most exotic, but always efficient and original.

If you deem a terminal application not cited here worthy, please let us know in the comments. There are a lot of them out there, and most are completely worthy of your attention.

### 1. Gnome-terminal ###

![](https://farm4.staticflickr.com/3699/14100905190_478812cae2_z.jpg)

Let's start with the "classical" terminals, and for Gnome, Gnome-terminal is as classical as it gets. It supports different user profiles, tabs, text re-sizing, transparent background, and a high degree of customization. As its name suggests, it fits in perfectly in a Gnome environment.

### 2. Konsole ###

![](https://farm3.staticflickr.com/2897/14101006647_ec13565200_z.jpg)

Also a big name, Konsole is pretty much the equivalent of Gnome-terminal for KDE environments. One of the few additions is that Konsole supports a split-view mode as well as directory bookmarking.

### 3. (Xfce) Terminal ###

![](https://farm3.staticflickr.com/2928/14100857759_fa29cc968e_z.jpg)

Xfce users also have their own terminal with xfce4-terminal. The idea is to get a product similar to Gnome-terminal in appearance, but much lighter in terms of resources needed. The result is very customizable, but without user profile functionality or transparent background.

### 4. LXTerminal ###

[![](https://farm6.staticflickr.com/5569/14100905020_dd2b3e830e_z.jpg)][1]

To finish with the most famous terminals for desktop environment, LXTerminal is designed for LXDE environments. As you can imagine, it is even lighter and faster than xfce-terminal, leaving behind complex customization and advanced options, just to keep the tabs.

### 5. Terminator ###

![](https://farm4.staticflickr.com/3726/14100980857_1591317b8a_z.jpg)

Now let's get to the Rolls-Royce of terminal emulators. Terminator is one of the most complete software out there. It includes tab, split-view horizontal and vertical, screen captures, user profiles, plugins, and layout manager. Probably more options than you will ever need. The downside is the weight, and the heavy resource consumption. Up to you what you sacrifice.

### 6. Tilda ###

[![](https://farm6.staticflickr.com/5585/14284203351_2c25a33cb4_z.jpg)][2]

There is also a completely different style of terminal, the so called "drop-down" type. If you like to have your terminal always at the stroke of a key, you might enjoy the next three software options. First, Tilda is the epitome of the drop-down terminal. It is environment free and pretty light. You can set the degree of transparency or even a different background, and then choose from which side of the screen it should appear. Past that, do not expect anything too complex like tabs or split-view. Tilda only does one thing: appear quickly when you need it.

### 7. Guake ###

![](https://farm4.staticflickr.com/3733/14285529772_aa824b5e39_z.jpg)

For those of you who like the concept of Tilda, but prefer something more integrated with Gnome, you should try Guake. Concerning the functionalities, they are more or less similar to Tilda. The difference between the two is mostly cosmetic.

### 8. Yakuake ###

[![](https://farm6.staticflickr.com/5274/14100857589_142fdc4153_z.jpg)][3]

But KDE users are not forgotten either, with Yakuake, which is basically the alternative to Guake for KDE environments. It proposes the same things as Guake, in addition to a tabbed interface and users profiles.

### 9. Terra ###

![](https://farm4.staticflickr.com/3700/14307721343_0e55878bb0_z.jpg)

And for power users, who liked Terminator and want it as a drop-down, I propose you Terra which is the best of both worlds. In between Guake and Terminator, Terra supports split-view and tabs while being a drop-down.

### 10. rxvt ###

![](https://farm3.staticflickr.com/2916/14307721303_805fe977ce_o.png)

If your goal is to be as lightweight as possible, and that you want something close to xterm, then rxvt is for you. With no tabs, no customization, no split-view, no anything, rxvt is the must when it comes to ultra-lightweight. If sometimes you need the bare minimum, then rxvt is for you.

### 11. Sakura ###

![](https://farm4.staticflickr.com/3823/14287031834_d8a5ac966f_z.jpg)

As lesser known terminal emulator, Sakura is based on GTK but does not require a full Gnome installation. Unlike rxvt, Sakura has a few extras, like tabs and color customization, but tries to keep it simple and basic. So if you want the basics in a lightweight environment-free software, Sakura is probably where to turn to.

### 12. Terminology ###

![](https://farm4.staticflickr.com/3706/14264408226_a0223861ae_z.jpg)

One of the most exotic terminal out there is Terminology. Originally designed for Enlightenment, it proposes the classical functions that we kept seeing so far, and also throws in a few more that I have not seen before. Among them, the possibility to stream media straight from the terminal, and even thumbnails for file listing. 

--------------------------------------------------------------------------------

via: http://xmodulo.com/2014/05/good-terminal-emulator-linux.html

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:https://www.flickr.com/photos/xmodulo/14100905020/
[2]:https://www.flickr.com/photos/xmodulo/14284203351/
[3]:https://www.flickr.com/photos/xmodulo/14100857589/